Get Payouts

Use this API to fetch all the payout details.

Environment

Use our UAT environment endpoint for testing and for integration utilize our production endpoint.

EnvironmentEndpoints
User Acceptance Testing [UAT]https://plural-uat.v2.pinepg.in/payouts/v3/payments
Production [PROD]https://api.pluralpay.in/payouts/v3/payments

📘

Note:

  • This API allows you to retrieve payout details.
  • Use paymentReferenceId or clientReferenceId to fetch details of a specific payout.
  • Use requestReferenceId to fetch details of all payouts associated with a single request.
Query Params
string

Unique identifier of the payment in the Pine Labs Online database.

  • Minimum length: 1 character.
  • Maximum length: 50 characters.
Example: 0171c4c0-f50a-4151-b39b-63c87a3c0cd6

string

Unique identifier entered while creating a payout request.

  • Minimum length: 1 character.
  • Maximum length: 40 characters.
  • Must not contain spaces.
Example: txn-b03ee63e412a4ecf88b6bdb08a6632c3

string

Unique identifier of the request in the Pine Labs Online database.

  • Minimum length: 1 character.
  • Maximum length: 50 characters.
Example: 664816162868

string

Unique Transaction Reference [UTR] of the transaction.

Example: 664816162868

string

Mode in which the payout was processed.

Possible values:

  • UPI
  • IMPS
  • NEFT
  • RTGS
Example: IMPS

string

Fetch payouts initiated after the specified date.

Example: 2025-07-15T10:26:06Z

string

Fetch payouts initiated before the specified date.

Example: 2025-08-16T10:26:06Z

string

Query based on the status of the payouts.

Possible values:

  • SCHEDULED
  • PENDING
  • PROCESSING
  • PROCESSED
  • SUCCESS
  • FAILED
Example: SUCCESS

string

Number of pages to be displayed.

By default it is 1.

Example: 1

string

Number of transaction to be displayed in a page.

Example: 10

Headers
string
Defaults to application/json

The type of content included in the HTTP message body.

Possible value: application/json.

string
required
Defaults to Bearer

The HTTP header where you can include your secret token for authentication.

Example: Bearer <access_token>

Note: Use the access token generated using our Generate Token API.

string

Use ISO 8601 UTC Timestamp, to create a timestamp when the generate token is requested.

Example: 2024-07-09T07:57:08.022Z

string

Use a global unique identifier [GUID] for the request.

  • Minimum: 1 characters.
  • Maximum: 50 characters
Example: c17ce30f-f88e-4f81-ada1-c3b4909ed235

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
Ask AI
Assistant
Order Lifecycle
Refunds
Settlements
Checkout
Dashboard
International Payments
How do I implement webhook notifications for payment status updates, and what's the recommended way to verify webhook authenticity?
How do I integrate Pine Labs payment gateway with my React Native mobile app and what are the required API credentials?
Can I customize the payment UI for card transactions, and what parameters can I pass to modify the checkout experience for my customers?
Assistant